package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBacis;
import com.muyu.domain.Vehicle;

/**
 * 添加车辆缓存
 */
public class VehicleCacheService extends CacheAbsBacis<String, Vehicle> {


    @Override
    public void clear() {

    }

    /**
     * 缓存key前缀
     * @return
     */
    @Override
    public String keyPre() {
        return "vehicle:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("vehicle:info:", "");
    }
}
